<?php 
##################################MODIFICACIONES########################################
#17/07/2017|ERICA G.|CAMBIAR EL METODO PARA QUE TENGA EN CUENTA LA PARAMETRIZACION ANNO
#########################################################################################
require_once '../Conexion/ConexionPDO.php';
session_start();
$con = new ConexionPDO();
$numero = $_REQUEST['numero'];
$tipo = $_REQUEST['tipo'];
if ($numero == '""' || $numero != '""') {
     #############CALCULAR EL NUMERO##############
    $parametroAnno = $_SESSION['anno'];
    $rowPA =$con->Listar('SELECT anno 
            FROM gf_parametrizacion_anno 
            WHERE id_unico = '.$parametroAnno);
    // $paramAnno = $mysqli->query($sqlAnno);
    // $rowPA = mysqli_fetch_row($paramAnno);
    $numero = $rowPA[0][0];

    $row = $con->Listar('SELECT MAX(numero) 
            FROM gf_comprobante_cnt
            WHERE tipocomprobante = '.$tipo .' AND parametrizacionanno = '.$parametroAnno. ' 
            AND numero LIKE \''.$numero.'%\'');
    // $numComp = $mysqli->query($queryNumComp);
    // $row = mysqli_fetch_row($numComp);
    if($row[0][0] == 0)
    {
        $numero .= '000001';
    }
    else
    {
        $numero = $row[0][0] + 1;
    }
    $numero = $numero;
    
    echo $numero;
}
